[ooo-build-commit] Branch 'ooo-build-3-1-1' - 3 commits - bin/piece configure.in distro-configs/SUSE-11.2.conf.in patches/dev300

Petr Mladek pmladek at kemper.freedesktop.org
Wed Sep 16 07:14:00 PDT 2009


 bin/piece/desktop-support-app    |   33 ++++++++++++++++++------------
 configure.in                     |    1 
 distro-configs/SUSE-11.2.conf.in |   42 +++++++++++++++++++++++++++++++++++++++
 patches/dev300/apply             |    5 +++-
 4 files changed, 67 insertions(+), 14 deletions(-)

New commits:
commit b0f2093cb4ddfcf8d23cb27aaea4ea2b05691e9f
Author: Petr Mladek <pmladek at suse.cz>
Date:   Tue Sep 15 17:40:38 2009 +0200

    Install the extensions MIME type icon also in the split build
    
    * bin/piece/desktop-support-app: add support to install mimetype icons;
      install extensions MIME type icon

diff --git a/bin/piece/desktop-support-app b/bin/piece/desktop-support-app
index a614579..79f2386 100755
--- a/bin/piece/desktop-support-app
+++ b/bin/piece/desktop-support-app
@@ -54,31 +54,37 @@ install_desktop_file()
 
 install_icon()
 {
-    icon_name=$1
+    category=$1
+    icon_name=$2
     icon_dir=/usr/share/icons/hicolor
+    # FIXME: fix the structure of icons in ooo-build/desktop direcotry
+    test "$category" = "apps" && category_indir= || category_indir=$category
+
     test -n "$list_icon_dirs" && echo "%dir $icon_dir" >>files-$piece.txt
 
     for size in 16x16 22x22 24x24 32x32 48x48 scalable ; do
 	# note that the scalable directory includes .svg icons
-	file=$OO_TOOLSDIR/../desktop/$size/$icon_name.[ps][nv]g
+	file=$OO_TOOLSDIR/../desktop/$category_indir/$size/$icon_name.[ps][nv]g
 	filename=`basename $file`
-	target_dir="$icon_dir/$size/apps"
+	target_dir="$icon_dir/$size/$category"
 	test -f $file || continue;
 	mkdir -p "$DESTDIR$target_dir"
 	cp $file "$DESTDIR$target_dir/$filename" || exit 1;
 	test -n "$DESTDIR" && echo "$target_dir/$filename" >>files-$piece.txt
 	test -n "$list_icon_dirs" && echo "%dir $icon_dir/$size" >>files-$piece.txt
-	test -n "$list_icon_dirs" && echo "%dir $icon_dir/$size/apps" >>files-$piece.txt
+	test -n "$list_icon_dirs" && echo "%dir $icon_dir/$size/$category" >>files-$piece.txt
     done
 
     # create symlink below share/pixmaps to keep the backward compatibility
-    file=$DESTDIR/$icon_dir/48x48/apps/$icon_name.png
-    if test -f $file ; then
-	filename=`basename $file`
-	pixmaps_dir=/usr/share/pixmaps
-	mkdir -p $DESTDIR$pixmaps_dir
-	ln -sf $icon_dir/48x48/apps/$filename $DESTDIR$pixmaps_dir
-	test -n "$DESTDIR" && echo "$pixmaps_dir/$filename" >>files-$piece.txt
+    if test "$category" = "apps" ; then
+	file=$DESTDIR/$icon_dir/48x48/apps/$icon_name.png
+	if test -f $file ; then
+	    filename=`basename $file`
+	    pixmaps_dir=/usr/share/pixmaps
+	    mkdir -p $DESTDIR$pixmaps_dir
+	    ln -sf $icon_dir/48x48/apps/$filename $DESTDIR$pixmaps_dir
+	    test -n "$DESTDIR" && echo "$pixmaps_dir/$filename" >>files-$piece.txt
+	fi
     fi
 }
 
@@ -86,12 +92,13 @@ case "$app" in
     "fromtemplate")
 	create_wrapper "oofromtemplate" "soffice" "" || exit 1;
 	install_desktop_file template || exit 1;
-	install_icon ooo-gulls || exit 1;
+	install_icon apps ooo-gulls || exit 1;
 	;;
     "unopkg")
 	create_wrapper unopkg unopkg "" || exit 1;
 	install_desktop_file ooo-extension-manager || exit 1;
 	install_man $app || exit 1;
+	install_icon mimetypes application-vnd.openofficeorg.extension || exit 1;
 	;;
     "ooffice")
 	create_wrapper ooffice soffice "" || exit 1;
@@ -102,6 +109,6 @@ case "$app" in
 	create_wrapper oo$app soffice "-$app" || exit 1;
 	create_man_link oo${app} openoffice || exit 1;
 	install_desktop_file $app || exit 1;
-	install_icon ooo-$app || exit 1;
+	install_icon apps ooo-$app || exit 1;
 	;;
 esac
commit 23f073fe103aee405287a6a2d63c79186714f7b4
Author: Petr Mladek <pmladek at suse.cz>
Date:   Tue Sep 15 17:38:46 2009 +0200

    Will use xulrunner-1.9.1 on openSUSE-11.2
    
    * patches/dev300/apply: add xulrunner-1.9.1.diff also for SUSE-11.2 and SUSE

diff --git a/patches/dev300/apply b/patches/dev300/apply
index 4d9e620..e084583 100644
--- a/patches/dev300/apply
+++ b/patches/dev300/apply
@@ -67,8 +67,8 @@ SUSE-10.2 : NovellBase, BerkeleyDB43, EMFPlus, Java14, OpenGLTransitionsMesa703
 SUSE-10.3 : NovellBase, BerkeleyDB43, EMFPlus, Java14, GCC41
 SUSE-11.0 : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, PostgreSQL
 SUSE-11.1 : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, ImpressFontSize, PostgreSQL
-SUSE-11.2 : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, ImpressFontSize, PostgreSQL, OptionalIconThemes
-SUSE      : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, ImpressFontSize, PostgreSQL, OptionalIconThemes
+SUSE-11.2 : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, ImpressFontSize, PostgreSQL, OptionalIconThemes, SUSE112
+SUSE      : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, ImpressFontSize, PostgreSQL, OptionalIconThemes, SUSE112
 SUSE-reduced:NovellBase,BerkeleyDB43, ReducedDefaults
 # Slackware
 Slackware : LinuxCommon, SlackwareOnly, NotDebian, Mono, msaccess, CairoFonts
@@ -2345,6 +2345,8 @@ binfilter-dont-extern-sRTF-sHTML.diff, i#86772, jholesov
 # search also gij32, ..., so the 32-bit package works on 64-bit
 jvmfwk-gij32.diff, n#222708, pmladek
 
+[ SUSE112 ]
+xulrunner-1.9.1.diff, ccheney
 
 [ SVGImport ]
 # A bit less partial implementation of SVG import
commit b1efd307080b05f85f3bb88c86f8b9b1980ab6fa
Author: Petr Mladek <pmladek at suse.cz>
Date:   Tue Sep 15 17:33:11 2009 +0200

    Branch configuration for openSUSE-11.2
    
    * configure.in:
    * distro-configs/SUSE-11.2.conf.in:
    * patches/dev300/apply: add support for --with-distro=SUSE-11.2;
      it is based on the current setting for the distro "SUSE"

diff --git a/configure.in b/configure.in
index 2f0184c..a2abdaf 100644
--- a/configure.in
+++ b/configure.in
@@ -1493,6 +1493,7 @@ distro-configs/SUSE-10.2.conf
 distro-configs/SUSE-10.3.conf
 distro-configs/SUSE-11.0.conf
 distro-configs/SUSE-11.1.conf
+distro-configs/SUSE-11.2.conf
 distro-configs/Slackware.conf
 distro-configs/Mandriva.conf
 distro-configs/Mandriva64.conf
diff --git a/distro-configs/SUSE-11.2.conf.in b/distro-configs/SUSE-11.2.conf.in
new file mode 100644
index 0000000..6c46634
--- /dev/null
+++ b/distro-configs/SUSE-11.2.conf.in
@@ -0,0 +1,42 @@
+--with-vendor=\"Novell, Inc.\"
+--disable-access
+--disable-odk
+--disable-qadevooo
+--enable-lockdown
+--enable-minimizer
+--enable-mono
+--enable-opengl
+--enable-ogltrans
+--enable-pdfimport
+--enable-presenter-console
+--enable-report-builder
+--enable-wiki-publisher
+--without-stlport
+--with-ant-home=/usr/share/ant
+--with-external-dict-dir=/usr/share/myspell
+--with-external-hyph-dir=/usr/share/ooo/hyphen
+--with-external-thes-dir=/usr/share/ooo/thesaurus
+--with-java-target-version=1.5
+--with-jdk-home=$JAVA_HOME
+--with-system-boost
+--with-system-cairo
+--with-system-curl
+--with-system-db
+--with-system-dicts
+--with-system-expat
+--with-system-hunspell
+--with-system-icu
+--with-system-libwpd
+--with-system-libwpg
+--with-system-libwps
+--with-system-libxslt
+--with-system-lpsolve
+--with-system-mozilla=libxul
+--with-system-neon
+--with-system-odbc-headers
+--with-system-sablot
+--with-system-xalan
+--with-system-xerces
+--with-system-xml-apis
+--with-system-xrender-headers
+--without-myspell-dicts
diff --git a/patches/dev300/apply b/patches/dev300/apply
index 7fa84c7..4d9e620 100644
--- a/patches/dev300/apply
+++ b/patches/dev300/apply
@@ -67,6 +67,7 @@ SUSE-10.2 : NovellBase, BerkeleyDB43, EMFPlus, Java14, OpenGLTransitionsMesa703
 SUSE-10.3 : NovellBase, BerkeleyDB43, EMFPlus, Java14, GCC41
 SUSE-11.0 : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, PostgreSQL
 SUSE-11.1 : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, ImpressFontSize, PostgreSQL
+SUSE-11.2 : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, ImpressFontSize, PostgreSQL, OptionalIconThemes
 SUSE      : NovellBase, BerkeleyDB43, EMFPlus, CairoFonts, ImpressFontSize, PostgreSQL, OptionalIconThemes
 SUSE-reduced:NovellBase,BerkeleyDB43, ReducedDefaults
 # Slackware


More information about the ooo-build-commit mailing list